namespace DataAccessLayer.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Update3 : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.TimeSheetRecords", "EmployeeId", "dbo.Employees");
            DropIndex("dbo.TimeSheetRecords", new[] { "EmployeeId" });
            DropColumn("dbo.TimeSheetRecords", "EmployeeId");
        }
        
        public override void Down()
        {
            AddColumn("dbo.TimeSheetRecords", "EmployeeId", c => c.Int(nullable: false));
            CreateIndex("dbo.TimeSheetRecords", "EmployeeId");
            AddForeignKey("dbo.TimeSheetRecords", "EmployeeId", "dbo.Employees", "Id", cascadeDelete: true);
        }
    }
}
